Loading...
Searching...
No Matches
class_tables.h File Reference

simtrace - tables determining APDU case for card emulation. More...

`#include <stdint.h>`

Go to the source code of this file.

## Data Structures

struct | osim_cla_ins_case
struct | osim_cla_ins_card_profile

## Functions

int | osim_determine_apdu_case (const struct osim_cla_ins_card_profile *prof, const uint8_t *hdr)

## Variables

const struct osim_cla_ins_card_profile | osim_iso7816_cic_profile
const struct osim_cla_ins_card_profile | osim_uicc_cic_profile
const struct osim_cla_ins_card_profile | osim_uicc_sim_cic_profile

## Detailed Description

simtrace - tables determining APDU case for card emulation.

## Function Documentation

## osim_determine_apdu_case()

int osim_determine_apdu_case | ( | const struct osim_cla_ins_card_profile * | prof,
|  | const uint8_t * | hdr )

References osim_cla_ins_card_profile::cic_arr, osim_cla_ins_card_profile::cic_arr_size, cla, osim_cla_ins_case::cla, osim_cla_ins_case::cla_mask, osim_cla_ins_case::helper, ins, osim_cla_ins_case::ins_tbl, and microsoft_discovery_ins_tbl.

## Variable Documentation

## osim_iso7816_cic_profile

const struct osim_cla_ins_card_profile osim_iso7816_cic_profile

extern

## osim_uicc_cic_profile

const struct osim_cla_ins_card_profile osim_uicc_cic_profile

extern

## osim_uicc_sim_cic_profile

const struct osim_cla_ins_card_profile osim_uicc_sim_cic_profile

extern